<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__mqtt__cyport__config" kind="group">
    <compoundname>mqtt_cyport_config</compoundname>
    <title>Configurations</title>
      <sectiondef kind="define">
      <memberdef id="group__mqtt__cyport__config_1ga41f0c9d181387db9557b17c9f6cd21cd" kind="define" prot="public" static="no">
        <name>IOT_THREAD_DEFAULT_PRIORITY</name>
        <initializer>( CY_RTOS_PRIORITY_NORMAL )</initializer>
        <briefdescription>
<para>Default thread priority for the threads created by AWS IoT Device SDK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="45" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gaee57e19310ccb730070bc3f10c4ea070" kind="define" prot="public" static="no">
        <name>IOT_THREAD_DEFAULT_STACK_SIZE</name>
        <initializer>( 2048 )</initializer>
        <briefdescription>
<para>Default thread stack size for the threads created by AWS IoT Device SDK. </para>        </briefdescription>
        <detaileddescription>
<para>The stack size may be tuned to suit the desired use case. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="50" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gac6425411a1adc69e86fbf37c8f4ff235" kind="define" prot="public" static="no">
        <name>IOT_MQTT_RESPONSE_WAIT_MS</name>
        <initializer>( 5000U )</initializer>
        <briefdescription>
<para>Default wait time (in milliseconds) to receive keep-alive responses from the MQTT broker. </para>        </briefdescription>
        <detaileddescription>
<para>This value may be adjusted to suit the use case and network environment. Refer aws-iot-device-sdk-embedded-C/doc/lib/mqtt.txt for additional info. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="56" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="56" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1ga984ea15e311f6b7c2033b80851729657" kind="define" prot="public" static="no">
        <name>Iot_DefaultAssert</name>
        <briefdescription>
<para>Insert program diagnostics. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="https://pubs.opengroup.org/onlinepubs/9699919799/functions/assert.html">assert</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="79" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="79" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1ga3a395f24a51cd9c43cbf4cffc820acfd" kind="define" prot="public" static="no">
        <name>Iot_DefaultMalloc</name>
        <initializer>malloc</initializer>
        <briefdescription>
<para>Memory allocation. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="http://pubs.opengroup.org/onlinepubs/9699919799/functions/malloc.html">malloc</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="85" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gaa8fa5366cea14f8d10163c4c726a81e0" kind="define" prot="public" static="no">
        <name>Iot_DefaultFree</name>
        <initializer>free</initializer>
        <briefdescription>
<para>Free memory. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="http://pubs.opengroup.org/onlinepubs/9699919799/functions/free.html">free</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="90" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Cypress platform port layer configurations. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>